ANALOG_MESSAGE = 0xE0
DIGITAL_MESSAGE = 0x90
REPORT_ANALOG_PIN = 0xC0
REPORT_DIGITAL_PIN = 0xD0

START_SYSEX = 0xF0
SET_PIN_MODE = 0xF4
SET_DIGITAL_PIN_VALUE = 0xF5
SYSEX_END = 0xF7
PROTOCOL_VERSION = 0xF9
SYSTEM_RESET = 0xFF

SYSEX_STRING = 0x71
SYSEX_FIRMWARE_INFO = 0x79
SYSEX_NON_REALTIME = 0x7E
SYSEX_REALTIME = 0X7F

# PIN MODES
UNAVAILABLE = -1
DIGITAL_INPUT = 0
DIGITAL_OUTPUT = 1
ANALOG_INPUT = 2
PWM = 3
ANALOG_OUTPUT = 3
SERVO = 4

ANALOG = "analog"
DIGITAL = "digital"

# CAPABILITIES
CAPABILITY_QUERY = 0x6B
CAPABILITY_RESPONSE = 0x6C
CAPABILITY_DIGITAL_INPUT = 0x00
CAPABILITY_DIGITAL_OUTPUT = 0x01
CAPABILITY_ANALOG_INPUT = 0x02
CAPABILITY_PWM = 0x03
CAPABILITY_ANALOG_OUTPUT = CAPABILITY_PWM
CAPABILITY_SERVO = 0x04
CAPABILITY_SHIFT = 0x05
CAPABILITY_I2C = 0x06
CAPABILITY_ONEWIRE = 0x07
CAPABILITY_STEPPER = 0x08
CAPABILITY_ENCODER = 0x09
CAPABILITY_SERIAL = 0x0A
CAPABILITY_INPUT_PULLUP = 0x0B




EXTENDED_ID = 0x00
RESERVED = (0x01, 0x0F)
ANALOG_MAPPING_QUERY = 0x69
ANALOG_MAPPING_RESPONSE = 0x6A
CAPABILITY_QUERY = 0x6B
CAPABILITY_RESPONSE = 0x6C
PIN_STATE_QUERY = 0x6D
PIN_STATE_RESPONSE = 0x6E
EXTENDED_ANALOG = 0x6F
SAMPLING_INTERVAL = 0x7A
